Yuki Platform API Prod

Yuki Platform API Prod

1.0.24OAS 3.0

Unified API specification for all Yuki Platform services. This specification includes 5 APIs with 11 total endpoints.

API Base URL
  • Server 1:https://apirest.yukiworks.com/api/v1
Security
bearerAuth (http)

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123

vismaConnect (oauth2)

This API uses OAuth 2 with the authorization code flow.

Company

Operations related to companies

Get Company by ID

Retrieves detailed information about a specific company using its unique identifier. You should have yukiapi:domain:companies:read scope to access this endpoint.

get
https://apirest.yukiworks.com/api/v1/domains/{domain-id}/companies/{company-id}

Path Parameters

domain-idstringrequired

The domain name

Example:3afb7b54-6144-4561-9a29-1148006f2375

company-idstringrequired

The company ID

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Response

application/json

Company object

Company

Company information object.

idstring(uuid)

Unique identifier of the company.

Example:123e4567-e89b-12d3-a456-426614174000

companyNamestring

The name of the company.

Example:Example Corp

companyDescriptionstring

A brief description of the company.

Example:Example Corp is a leading provider of innovative solutions.

addressobject

Address information object.

Show Child Parameters
mailingAddressobject

Address information object.

Show Child Parameters
countrystring | null

Country ISO code.

Example:NL

emailAddressstring

Email address.

Example:info@example.com

phonestring

Phone number.

Example:+31 20 123 4567

websitestring

Company website (optional).

Example:https://example.com

legalFormstring

Legal form of the company.
BE: Unknown, SolePartnership, PrivateLimited, PublicLimited, GeneralPartnership, LimitedPartnership, Partnership, Association, Foundation, Cooperative.
NL: values to be added later

Allowed values:UnknownSolePartnershipPrivateLimitedPublicLimitedGeneralPartnershipLimitedPartnershipPartnershipAssociationFoundationCooperative

Example:PrivateLimited

cocNumberstring

Chamber of Commerce number.

Example:12345678

internalCustomerCodestring

Internal customer code (optional).

Example:CUST001

accountingStartingDatestring(date)

Accounting starting date.

Example:2024-01-01

financialobject

Financial object containing financial-related settings.

Show Child Parameters
peppolConfigurationobject

Peppol configuration object containing Peppol-related settings.

Show Child Parameters
 
application/json